Bug 173228

Summary: [JSC] Avoid code bloating for iteration if block does not have "break"
Product: WebKit Reporter: Yusuke Suzuki <ysuzuki>
Component: JavaScriptCoreAssignee: Yusuke Suzuki <ysuzuki>
Status: RESOLVED FIXED    
Severity: Normal CC: buildbot, commit-queue, fpizlo, keith_miller, mark.lam, msaboff, sbarati, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Yusuke Suzuki 2017-06-10 11:19:47 PDT
for-of iteration emits code path for break. But we can easily ensure that the given for-of does not have "break".
If we ensure that the given block does not have "break" we should not emit this code path.
Comment 1 Yusuke Suzuki 2017-08-16 02:39:39 PDT
Created attachment 318245 [details]
Patch
Comment 2 Keith Miller 2017-08-16 13:16:43 PDT
Comment on attachment 318245 [details]
Patch

r=me.
Comment 3 Yusuke Suzuki 2017-08-17 04:45:48 PDT
Comment on attachment 318245 [details]
Patch

Thanks!
Comment 4 WebKit Commit Bot 2017-08-17 05:15:52 PDT
Comment on attachment 318245 [details]
Patch

Clearing flags on attachment: 318245

Committed r220852: <http://trac.webkit.org/changeset/220852>
Comment 5 WebKit Commit Bot 2017-08-17 05:15:53 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2017-08-17 05:16:57 PDT
<rdar://problem/33938501>